OpenCV: cv::Seq< _Tp > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::Seq< _Tp > Class Template Reference
Core functionality » C structures and operations » Connections with C++

`#include "core_c.h"`

## Public Types
typedef SeqIterator< _Tp > | const_iterator
typedef SeqIterator< _Tp > | iterator

## Public Member Functions
| Seq ()
| the default constructor More...
| Seq (const CvSeq *seq)
| the constructor for wrapping CvSeq structure. The real element type in CvSeq should match _Tp. More...
| Seq (MemStorage &storage, int headerSize=sizeof(CvSeq))
| creates the empty sequence that resides in the specified storage More...
_Tp & | back ()
| returns reference to the last sequence element More...
const _Tp & | back () const
| returns read-only reference to the last sequence element More...
SeqIterator< _Tp > | begin () const
| returns iterator pointing to the beginning of the sequence More...
int | channels () const
| returns the number of channels in each sequence element More...
void | clear ()
| removes all the elements from the sequence More...
void | copyTo (std::vector< _Tp > &vec, const Range &range=Range::all()) const
| copies the whole sequence or the sequence slice to the specified vector More...
int | depth () const
| returns the depth of sequence elements (CV_8U ... CV_64F) More...
size_t | elemSize () const
| returns the size of each sequence element More...
bool | empty () const
| returns true iff the sequence contains no elements More...
SeqIterator< _Tp > | end () const
| returns iterator pointing to the element following the last sequence element More...
_Tp & | front ()
| returns reference to the first sequence element More...
const _Tp & | front () const
| returns read-only reference to the first sequence element More...
size_t | index (const _Tp &elem) const
| returns index of the specified sequence element More...
void | insert (int idx, const _Tp &elem)
| inserts the specified element to the specified position More...
void | insert (int idx, const _Tp *elems, size_t count)
| inserts zero or more elements to the specified position More...
| operator std::vector< _Tp > () const
| returns the vector containing all the sequence elements More...
_Tp & | operator[] (int idx)
| returns read-write reference to the specified element More...
const _Tp & | operator[] (int idx) const
| returns read-only reference to the specified element More...
void | pop_back ()
| removes the last element from the sequence More...
void | pop_back (_Tp *elems, size_t count)
| removes zero or more elements from the end of the sequence More...
void | pop_front ()
| removes the first element from the sequence More...
void | pop_front (_Tp *elems, size_t count)
| removes zero or more elements from the beginning of the sequence More...
void | push_back (const _Tp &elem)
| appends the specified element to the end of the sequence More...
void | push_back (const _Tp *elems, size_t count)
| appends zero or more elements to the end of the sequence More...
void | push_front (const _Tp &elem)
| appends the specified element to the front of the sequence More...
void | push_front (const _Tp *elems, size_t count)
| appends zero or more elements to the front of the sequence More...
void | remove (int idx)
| removes element at the specified position More...
void | remove (const Range &r)
| removes the specified subsequence More...
size_t | size () const
| returns the number of elements in the sequence More...
int | type () const
| returns the type of sequence elements (CV_8UC1 ... CV_64FC(CV_CN_MAX) ...) More...

## Public Attributes
CvSeq * | seq

## Detailed Description

### template<typename _Tp>
class cv::Seq< _Tp >

Template Sequence Class derived from CvSeq

The class provides more convenient access to sequence elements, STL-style operations and iterators.

Note
  The class is targeted for simple data types, i.e. no constructors or destructors are called for the sequence elements.

## Member Typedef Documentation

## ◆ const_iterator

template<typename _Tp>

typedef SeqIterator<_Tp> cv::Seq< _Tp >::const_iterator

## ◆ iterator

template<typename _Tp>

typedef SeqIterator<_Tp> cv::Seq< _Tp >::iterator

## Member Data Documentation

## ◆ seq

template<typename _Tp>

CvSeq* cv::Seq< _Tp >::seq

The documentation for this class was generated from the following file:

- core/include/opencv2/core/core_c.h